AAFElement (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.xml

## Class AAFElement

- java.lang.Object
- - tv.amwa.maj.io.xml.AAFElement

- All Implemented Interfaces:
    CommonConstants, MetadataObject, XMLSerializable

      public class AAFElement
      extends Object
      implements MetadataObject, XMLSerializable, CommonConstants

  Representation of the root element of an AAF XML document "`<AAF>`".

  DOCUMENTATION FOR THIS CLASS IS INCOMPLETE.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AAF_TAG`
    `static String` | `AAF_VERSION`
    `static String` | `DEFINITIONS_TAG`
    `static String` | `DESCRIPTION_TAG`
    `static String` | `EXTENSION_TAG`
    `static String` | `EXTENSIONS_TAG`
    `static String` | `IDENTIFICATION_TAG`
    `static String` | `PREFERREDPREFIX_TAG`
    `static String` | `SYMBOLSPACE_TAG`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAFElement(Preface preface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendXMLChildren(Node parent)` Append extra child elements to the given parent node to serialize the value of an object to an XML fragment.
    `String` | `getComment()` Include a comment when serializing a value to XML.
    `Document` | `getDocument()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AAF_TAG

          public static final String AAF_TAG

      See Also:
        Constant Field Values

    - #### AAF_VERSION

          public static final String AAF_VERSION

      See Also:
        Constant Field Values

    - #### EXTENSIONS_TAG

          public static final String EXTENSIONS_TAG

      See Also:
        Constant Field Values

    - #### EXTENSION_TAG

          public static final String EXTENSION_TAG

      See Also:
        Constant Field Values

    - #### IDENTIFICATION_TAG

          public static final String IDENTIFICATION_TAG

      See Also:
        Constant Field Values

    - #### SYMBOLSPACE_TAG

          public static final String SYMBOLSPACE_TAG

      See Also:
        Constant Field Values

    - #### PREFERREDPREFIX_TAG

          public static final String PREFERREDPREFIX_TAG

      See Also:
        Constant Field Values

    - #### DESCRIPTION_TAG

          public static final String DESCRIPTION_TAG

      See Also:
        Constant Field Values

    - #### DEFINITIONS_TAG

          public static final String DEFINITIONS_TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AAFElement

          public AAFElement(Preface preface)

  - ### Method Detail

    - #### appendXMLChildren

          public void appendXMLChildren(Node parent)

      Description copied from interface: `XMLSerializable`

      Append extra child elements to the given parent node to serialize the value of an object to an XML fragment. Methods of the `XMLBuilder` class are provided to help with this process.

      Specified by:
        `appendXMLChildren` in interface `XMLSerializable`
      Parameters:
        `parent` - XML parent element to append child nodes to.

    - #### getDocument

          public Document getDocument()

    - #### getComment

          public String getComment()

      Description copied from interface: `XMLSerializable`

      Include a comment when serializing a value to XML. The comment will be inserted as the first child node of the element representing the class.

      Specified by:
        `getComment` in interface `XMLSerializable`
      Returns:
        Comment to add as the first child node of the element representing this class.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.